package test.appProfConverter;
public class AppProfConverterRunner {

	public static void main(String[] args) {
		SoftwareProfile appProf, newProf;
		HardwareProfile hwProf;

		appProf = new SoftwareProfile("src/test/appProfConverter/resources/fakeProfile.xml");
		appProf.StoreToXml("saved.xml");

		hwProf = new HardwareProfile("src/test/appProfConverter/resources/fakeHW1.xml");
		newProf = AppProfileConverter.Convert(appProf, hwProf);
		newProf.StoreToXml("new1.xml");

		hwProf = new HardwareProfile("src/test/appProfConverter/resources/fakeHW3.xml");
		newProf = AppProfileConverter.Convert(appProf, hwProf);
		newProf.StoreToXml("new3.xml");
		
		hwProf = new HardwareProfile("src/test/appProfConverter/resources/fakeHW2.xml");
		newProf = AppProfileConverter.Convert(appProf, hwProf);
		newProf.StoreToXml("new2.xml");

		hwProf = new HardwareProfile(
				"src/test/appProfConverter/resources/Component_Node_IRIT_i7-16GB-ivy.xml");
		newProf = AppProfileConverter.Convert(appProf, hwProf);
		newProf.StoreToXml("new_irit.xml");
		// System.out.println(newProf.ToString());
		// System.out.println(hwProf.ToString());
	}
}
