package test.appProfConverter;
import org.w3c.dom.Element;

public class Network {

	public Network(Element e) throws Exception {
		LoadElement(e);
	}

	private void LoadElement(Element e) throws Exception {
		if (!e.getTagName().equals("Network")) {
			throw new Exception("Invalid element tag.");
		}

		this.MaxBandwidth = Integer.parseInt(e
				.getElementsByTagName("MaxBandwidth").item(0).getChildNodes()
				.item(0).getNodeValue().trim());
	}


	public Integer MaxBandwidth;

	public String ToString() {
		String str = "";

		str += "Network:\n";

		str += " MaxBandwidth: " + Integer.toString(this.MaxBandwidth) + "\n";

		return str;
	}

}
